# Configuration file for Papercut.
#
# Settings in this file override those in 
# /usr/share/papercut/default_settings.py.

#
# SERVER CONFIGURATION
#

# hostname that Papercut will bind against
# (by default, this is automacally detected)
#nntp_hostname = 'news.example.com'
# usually 119
#nntp_port = 119

# what is the maximum number of concurrent connections that should be allowed
#max_connections = 20

# type of server ('read-only' or 'read-write')
#server_type = 'read-write'


#
# CACHE SYSTEM
#

# the cache system may need a lot of diskspace
#nntp_cache = 'yes'
# cache expire (in seconds)
#nntp_cache_expire = 60 * 60 * 3


#
# MAILDIR STORAGE
#
# To add a new group:
#     mkdir -p /var/lib/papercut/maildirs/my.new.group/{new,cur,tmp}

storage_backend = 'maildir'

# the full path for where the mbox files are stored in
# (default path was created by the Debian package)
maildir_path = "/var/lib/papercut/maildirs"

#
# FORWARDING PROXY 
#

#storage_backend = "forwarding_proxy"

# remote nntp server
#forward_host = 'news.example.com'


#
# PHORUM
#
# Please note that you have to change your database schema by doing:
#    mysql [-h <host>] -u <user> -p <database> \
#        < /usr/share/doc/papercut/phorum_mysql_fix.sql
# or
#    psql [-h <host> -U <user> \
#        -f /usr/share/doc/papercut/phorum_pgsql_fix.sql <database>
#
# Also don't forget to install python-mysqldb or python-pgsql packages.

# use of of them, depending on your database
#storage_backend = "phorum_mysql"
#storage_backend = "phorum_pgsql"

# enable authentication
#nntp_auth = 'yes'
#auth_backend = 'phorum_mysql_users.py'
#auth_backend = 'phorum_pgsql_users.py'

# full path to the directory where the Phorum configuration files are stored
#phorum_settings_path = "/var/www/phorum/phorum_settings"
# the version for the installed copy of Phorum
#phorum_version = "3.3.2a"

# database connection variables
#dbhost = "localhost"
#dbname = "phorum"
#dbuser = "root"
#dbpass = ""


#
# PHPBB
#
# To use this storage backend, you first need to update your database schema
# by doing:
#    mysql [-h <host>] -u <user> -p <database> \
#        < /usr/share/doc/papercut/phpbb_mysql_fix.sql
#
# Then, edit the nntp_group_name field for each forums in the <prefix>forums
# table.
#
# Also, don't forget to install the python-mysqldb package.

#storage_backend = "phpbb_mysql"

# enable authentication
#nntp_auth = 'yes'
#auth_backend = 'phpbb_mysql_users'

# database connection variables
#dbhost = "localhost"
#dbname = "phpbb2"
#dbuser = "root"
#dbpass = ""

# the prefix for the phpBB tables
#phpbb_table_prefix = "phpbb_"


#
# PHPNUKE PHPBB
#

#storage_backend = 'phpnuke_phpbb_mysql'

# enable authentication
#nntp_auth = 'yes'
#auth_backend = 'phpnuke_phpbb_mysql_users'
#auth_backend = 'postnuke_phpbb_mysql_users'

# database connection variables
#dbhost = "localhost"
#dbname = "phpnuke"
#dbuser = "root"
#dbpass = ""

# prefix for the nuke tables
#nuke_table_prefix = "nuke_"

# prefix for the phpBB tables
#phpbb_table_prefix = "nuke_bb"


#
# STANDALONE MYSQL STORAGE
#
# Please create the database schema with:
#    mysql [-h <host>] -u <user> -p <database> \
#        < /usr/share/doc/papercut/mysql_storage.sql
# Don't forget to install python-mysqldb.

# storage_backend = 'mysql'

# database connection variables
#dbhost = "localhost"
#dbname = "phpnuke"
#dbuser = "root"
#dbpass = ""


#
# MBOX STORAGE
#
# This storage is currently read-only.  To create a new group, just link or
# copy the required mbox in the path set below.

#storage_backend = 'mbox'

# the full path for where the mbox files are stored in
# (default path was created by the Debian package)
#mbox_path = "/var/lib/papercut/mboxes"


